Package ghidra.app.util.bin.format.dwarf4.encoding

# Class DWARFEndianity

java.lang.Object
ghidra.app.util.bin.format.dwarf4.encoding.DWARFEndianity

public final class DWARFEndianity extends Object
DWARF Endianity consts from www.dwarfstd.org/doc/DWARF4.pdf

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `DW_END_big`
  `static final int`
  `DW_END_default`
  `static final int`
  `DW_END_hi_user`
  `static final int`
  `DW_END_little`
  `static final int`
  `DW_END_lo_user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DWARFEndianity()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `getEndianity(long endian, boolean defaultisBigEndian)`
  Get the endianity given a DWARFEndianity value.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DW_END_default

    public static final int DW_END_default
    See Also:
      - Constant Field Values

  - ### DW_END_big

    public static final int DW_END_big
    See Also:
      - Constant Field Values

  - ### DW_END_little

    public static final int DW_END_little
    See Also:
      - Constant Field Values

  - ### DW_END_lo_user

    public static final int DW_END_lo_user
    See Also:
      - Constant Field Values

  - ### DW_END_hi_user

    public static final int DW_END_hi_user
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### DWARFEndianity

    public DWARFEndianity()

- ## Method Details

  - ### getEndianity

    public static boolean getEndianity(long endian, boolean defaultisBigEndian)
    Get the endianity given a DWARFEndianity value.
    Parameters:
      `endian` - DWARFEndianity value to check
      `defaultisBigEndian` - true if by default is big endian and false otherwise
    Returns:
      true if big endian and false if little endian
    Throws:
      `IllegalArgumentException` - if an unknown endian value is given